Modified(special file)

NAME
Modified — an entity has been modified

SYNOPSIS

[file] Modified(in type ID);

DESCRIPTION

The Modified notice is sent whenever a tool first modifies a volatile, non-shared (for example, in-memory) representation of the persistent state of an entity (such as a file), with the intention of eventually making that representation persistent.

The ID argument is the identity of the modified entity. When its type is File, then the ID argument is unset (in other words, has a value of (char *)0), and it refers to the file or directory named in the message's file attribute.

APPLICATION USAGE

The ttdt_file_join(3), function can be used to register for, and help process, the Modified request.

The Modified request can be sent with ttdt_file_event(3).

SEE ALSO

ttdt_file_event(3). ttdt_file_join(3); Reverted notice.